## org.eclipse.amp.amf.testing.parser.antlr
Class ATestParser

    java.lang.Object
      org.eclipse.xtext.parser.AbstractParser
          org.eclipse.xtext.parser.antlr.AbstractAntlrParser
              org.eclipse.amp.amf.testing.parser.antlr.ATestParser

All Implemented Interfaces:
  org.eclipse.xtext.parser.IParser

    public class ATestParser

extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.IParser
`org.eclipse.xtext.parser.IParser.NullImpl`

Constructor Summary
`ATestParser()`

Method Summary
`protected InternalATestParser` `createParser(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)`
`protected java.lang.String` `getDefaultRuleName()`
`ATestGrammarAccess` `getGrammarAccess()`
`void` `setGrammarAccess(ATestGrammarAccess grammarAccess)`
`protected void` `setInitialHiddenTokens(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractAntlrParser
`createLexer, createTokenStream, doParse, doParse, doParse, doReparse, getElementFactory, getLexerProvider, getPartialParser, getSyntaxErrorProvider, getTokenDefProvider, getUnorderedGroupHelper, isReparseSupported, parse, parse, parse, setElementFactory, setLexerProvider, setPartialParser, setSyntaxErrorProvider, setTokenDefProvider, setUnorderedGroupHelper`

Methods inherited from class org.eclipse.xtext.parser.AbstractParser
`parse, reparse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestParser

    public ATestParser()

Method Detail

### setInitialHiddenTokens

    protected void setInitialHiddenTokens(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)

  Overrides:
    `setInitialHiddenTokens` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

### createParser

    protected InternalATestParser createParser(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)

  Specified by:
    `createParser` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

### getDefaultRuleName

    protected java.lang.String getDefaultRuleName()

  Specified by:
    `getDefaultRuleName` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

### getGrammarAccess

    public ATestGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(ATestGrammarAccess grammarAccess)